## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionLang Class Reference

XPath implementation of "lang" function. More...

`#include <FunctionLang.hpp>`

Inheritance diagram for FunctionLang:

[legend]
Collaboration diagram for FunctionLang:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Methods

- FunctionLang ()
- virtual ~FunctionLang ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectPtr arg1, const LocatorType *locator) const
    Execute an XPath function object. More...
- virtual FunctionLang* clone (MemoryManagerType &theManager) const
    Create a copy of the function object. More...

## Static Public Methods

- void initialize (MemoryManagerType &theManager)
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...

## Protected Methods

- virtual const XalanDOMString& getError (XalanDOMString &theResult) const
    Get the error message to report when the function is called with the wrong number of arguments. More...

## Detailed Description

XPath implementation of "lang" function.

## Member Typedef Documentation

typedef Function FunctionLang::ParentType

## Constructor & Destructor Documentation

FunctionLang::FunctionLang ( | )

FunctionLang::~FunctionLang ( | )`[virtual]`

## Member Function Documentation

FunctionLang * FunctionLang::clone ( | MemoryManagerType & theManager ) const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from Function.

XObjectPtr FunctionLang::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const XObjectPtr arg1,
| const LocatorType * locator ) const`[virtual]`

Execute an XPath function object.

The function must return a valid object. Called if function has one parameter.

Parameters:

  executionContext | executing context
  context | current context node
  arg | pointer to XObject argument
  locator | LocatorType instance for the XPath expression that contains the function call

Returns:
  pointer to the result XObject

Reimplemented from Function.

const XalanDOMString & FunctionLang::getError ( | XalanDOMString & theResult ) const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Reimplemented from Function.

void FunctionLang::initialize ( | MemoryManagerType & theManager )`[static]`

| Perform static initialization. See class XPathInit.

void FunctionLang::terminate ( | )`[static]`

| Perform static shut down. See class XPathInit.

The documentation for this class was generated from the following file:

- FunctionLang.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.